/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * END COPYRIGHT BLOCK **/
/*
 * nsassert.h
 *
 * Handler for Asserts
 *
 */

#ifndef BASE_NSASSERT_H
#define BASE_NSASSERT_H

#if defined(_DEBUG) || defined(DEBUG)

#ifndef BASE_EREPORT_H
#include "ereport.h"
#endif /* !BASE_EREPORT_H */

NSPR_BEGIN_EXTERN_C

#define NS_ASSERT(x)   (x)?0:ereport(0, "assert failed! %s (%d, %s)", \
                    #x, __LINE__, __FILE__)
NSPR_END_EXTERN_C

#else

#define NS_ASSERT(x) 

#endif

#endif /* !BASE_NSASSERT_H */

